# octavia.image.image_base

# Source code for octavia.image.image_base

    # Copyright 2020 Red Hat, Inc. All rights reserved.
    #
    # Licensed under the Apache License, Version 2.0 (the "License"); you may
    # not use this file except in compliance with the License. You may obtain
    # a copy of the License at
    #
    # http://www.apache.org/licenses/LICENSE-2.0
    #
    # Unless required by applicable law or agreed to in writing, software
    # distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    # WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    # License for the specific language governing permissions and limitations
    # under the License.

    import abc

    class ImageBase(metaclass=abc.ABCMeta):

        @abc.abstractmethod
        def get_image_id_by_tag(self, image_tag, image_owner=None):
            """Get image ID by image tag and owner.

            :param image_tag: image tag
            :param image_owner: optional image owner
            :raises: ImageGetException if no images found with given tag
            :return: image id
            """

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug